指定 UCS 图标是否打开。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论没有额外的评论。 例子工 务 局: Sub Example_UCSIconOn() ' This example toggles the setting of UCSIconOn. Dim viewportObj As AcadViewport ' Set the viewportObj variable to the activeviewport Set viewportObj = ThisDrawing.ActiveViewport ' Display the current setting of UCSIconOn MsgBox "UCSIcon is: " & IIf(viewportObj.UCSIconOn, "On", "Off"), , "UCSIconOn Example" ' Toggle the setting of UCSIconOn viewportObj.UCSIconOn = Not (viewportObj.UCSIconOn) ' Reset the active viewport to see the change ThisDrawing.ActiveViewport = viewportObj MsgBox "UCSIcon is now: " & IIf(viewportObj.UCSIconOn, "On", "Off"), , "UCSIconOn Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_UCSIconOn() ;; This example toggles the setting of UCSIconOn. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Set the viewportObj variable to the activeviewport (setq viewportObj (vla-get-ActiveViewport doc)) ;; Display the current setting of UCSIconOn (alert (strcat "UCSIcon is: " (if (= (vla-get-UCSIconOn viewportObj) :vlax-true) "On" "Off"))) ;; Toggle the setting of UCSIconOn (vla-put-UCSIconOn viewportObj (if (= (vla-get-UCSIconOn viewportObj) :vlax-true) :vlax-false :vlax-true)) ;; Reset the active viewport to see the change (vla-put-ActiveViewport doc viewportObj) (alert (strcat "UCSIcon is now: " (if (= (vla-get-UCSIconOn viewportObj) :vlax-true) "On" "Off"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:48
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.